hght_long <- read.table('C:/GRE2016/Data/bgs_height_long_gender.dat', na.string='.')


# Give the variable names
names(hght_long)<-c('id','female','b_wght','m_age','f_age','dur_lbr','age','hght')

summary(hght_long)

library(nlme)

# Jenss-Bayley Growth Model - Rate of Change Centered at 1-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*0.083)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 40, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

## Convergence Issues ##


# Jenss-Bayley Growth Model - Rate of Change Centered at 3-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*0.25)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 0.25) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  2000.385 2048.397 -989.1926
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#b_1i     2.7159331 b_1i   dy_i  
#dy_i     3.6392135 -0.538       
#b_3i     3.0897861  0.581 -0.974
#Residual 0.8192691              
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   51.15805 0.3431139 495 149.09931       0
#dy_i   31.16082 0.5243527 495  59.42721       0
#b_3i  -17.98512 0.4540739 495 -39.60836       0
#gamma  -2.02404 0.0619331 495 -32.68117       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i  -0.657              
#b_3i   0.449 -0.660       
#gamma  0.303 -0.423 -0.371
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.66054048 -0.51906512 -0.02695816  0.52490984  2.93162373 
#
#Number of Observations: 581
#Number of Groups: 83 


# Jenss-Bayley Growth Model - Rate of Change Centered at 6-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*0.5)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 20, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 0.5) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  2000.271 2048.284 -989.1357
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#b_1i     2.7201743 b_1i   dy_i  
#dy_i     2.1968732 -0.495       
#b_3i     3.0550431  0.584 -0.925
#Residual 0.8194101              
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   51.04158 0.3503181 495 145.70066       0
#dy_i   22.40765 0.2829935 495  79.18080       0
#b_3i  -17.80746 0.4534145 495 -39.27413       0
#gamma  -2.09305 0.0733687 495 -28.52781       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i  -0.479              
#b_3i   0.412 -0.891       
#gamma  0.351  0.154 -0.392
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.62768859 -0.51463841 -0.02704025  0.52643975  2.87311688 
#
#Number of Observations: 581
#Number of Groups: 83 


# Jenss-Bayley Growth Model - Rate of Change Centered at 9-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*0.75)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 20, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 0.75) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  2000.583 2048.596 -989.2916
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#b_1i     2.7215921 b_1i   dy_i  
#dy_i     1.3871064 -0.396       
#b_3i     3.0441036  0.585 -0.800
#Residual 0.8198478              
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   51.00221 0.3508400 495 145.37171       0
#dy_i   17.03585 0.2124449 495  80.18946       0
#b_3i  -17.75203 0.4497871 495 -39.46764       0
#gamma  -2.11645 0.0737071 495 -28.71434       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i  -0.151              
#b_3i   0.419 -0.786       
#gamma  0.352  0.586 -0.381
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.61508824 -0.51160055 -0.02940824  0.52154785  2.88761396 
#
#Number of Observations: 581
#Number of Groups: 83 

# Jenss-Bayley Growth Model - Rate of Change Centered at 12-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*1)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 20, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 1) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#      AIC      BIC    logLik
#  2000.64 2048.652 -989.3201
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#b_1i     2.7217901 b_1i   dy_i  
#dy_i     1.0074072 -0.230       
#b_3i     3.0426052  0.585 -0.563
#Residual 0.8199241              
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   50.99673 0.3508099 495 145.36854       0
#dy_i   13.87449 0.1690917 495  82.05303       0
#b_3i  -17.74456 0.4491449 495 -39.50742       0
#gamma  -2.11970 0.0735790 495 -28.80852       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i   0.047              
#b_3i   0.421 -0.555       
#gamma  0.352  0.664 -0.379
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.61328168 -0.51121291 -0.02911119  0.52157080  2.88956427 
#
#Number of Observations: 581
#Number of Groups: 83 

# Jenss-Bayley Growth Model - Rate of Change Centered at 15-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*1.25)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 20, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 1.25) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  2000.573 2048.585 -989.2864
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#b_1i     2.7215482 b_1i   dy_i  
#dy_i     0.8691895 -0.053       
#b_3i     3.0444290  0.585 -0.287
#Residual 0.8198316              
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   51.00323 0.3508464 495 145.37197       0
#dy_i   12.02054 0.1348841 495  89.11754       0
#b_3i  -17.75353 0.4499134 495 -39.45988       0
#gamma  -2.11583 0.0737330 495 -28.69584       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i   0.146              
#b_3i   0.419 -0.285       
#gamma  0.353  0.532 -0.382
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.61544979 -0.51165379 -0.02893148  0.52148889  2.88726602 
#
#Number of Observations: 581
#Number of Groups: 83 

# Jenss-Bayley Growth Model - Rate of Change Centered at 18-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*1.5)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 20, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 1.5) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  2000.483 2048.495 -989.2413
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#b_1i     2.7211997 b_1i   dy_i  
#dy_i     0.8348686  0.075       
#b_3i     3.0470829  0.584 -0.075
#Residual 0.8197078              
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   51.01276 0.3508313 495 145.40537       0
#dy_i   10.92678 0.1177517 495  92.79507       0
#b_3i  -17.76675 0.4509491 495 -39.39858       0
#gamma  -2.11016 0.0738413 495 -28.57699       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i   0.166              
#b_3i   0.416  0.016       
#gamma  0.353  0.236 -0.385
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.61857838 -0.51325012 -0.02585441  0.52238232  2.88384424 
#
#Number of Observations: 581
#Number of Groups: 83 

# Jenss-Bayley Growth Model - Rate of Change Centered at 24-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*2)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 20, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 2) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#      AIC      BIC    logLik
#  2000.35 2048.363 -989.1752
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr       
#b_1i     2.7206062 b_1i  dy_i 
#dy_i     0.8402817 0.198      
#b_3i     3.0516593 0.584 0.137
#Residual 0.8195234            
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   51.02923 0.3506202 495 145.53992       0
#dy_i    9.89009 0.1261362 495  78.40804       0
#b_3i  -17.78992 0.4524826 495 -39.31625       0
#gamma  -2.10037 0.0737122 495 -28.49417       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i   0.081              
#b_3i   0.413  0.399       
#gamma  0.353 -0.314 -0.389
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.62386585 -0.51372175 -0.02427925  0.52620531  2.87779578 
#
#Number of Observations: 581
#Number of Groups: 83 

# Jenss-Bayley Growth Model - Rate of Change Centered at 36-months
hght.jb.nlme <- nlme(hght~b_1i+dy_i*age/12 + b_3i*(-gamma*exp(gamma*3)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=b_1i+dy_i+b_3i+gamma~1,
                      random=b_1i+dy_i+b_3i~1,
                      groups=~id,
                      start=c(50, 20, -18, -2),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ b_1i + dy_i * age/12 + b_3i * (-gamma * exp(gamma * 3) *      (age/12) + (exp(gamma * (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  2000.259 2048.272 -989.1296
#
#Random effects:
# Formula: list(b_1i ~ 1, dy_i ~ 1, b_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr       
#b_1i     2.7200882 b_1i  dy_i 
#dy_i     0.8560801 0.253      
#b_3i     3.0557097 0.584 0.234
#Residual 0.8193900            
#
#Fixed effects: b_1i + dy_i + b_3i + gamma ~ 1 
#          Value Std.Error  DF   t-value p-value
#b_1i   51.04374 0.3502471 495 145.73638       0
#dy_i    9.38760 0.1558063 495  60.25172       0
#b_3i  -17.81063 0.4535548 495 -39.26898       0
#gamma  -2.09175 0.0732784 495 -28.54529       0
# Correlation: 
#      b_1i   dy_i   b_3i  
#dy_i  -0.013              
#b_3i   0.412  0.530       
#gamma  0.351 -0.606 -0.392
#
#Standardized Within-Group Residuals:
#       Min         Q1        Med         Q3        Max 
#-3.6284049 -0.5151163 -0.0261194  0.5264620  2.8723394 
#
#Number of Observations: 581
#Number of Groups: 83 


#### Plot of Rate of Change ####

time=c(3,6,9,12,15,18,24,36)
beta_dy=c(31.16082,22.40765,17.03585,13.87449,12.02054,10.92678,9.89009,9.3876)
sigma_dy=c(3.63921,2.19687,1.38711,1.00741,0.86919,0.83487,0.84028,0.85608)
upper=beta_dy + 1.96*sigma_dy
lower=beta_dy - 1.96*sigma_dy

plot1a = cbind(time,beta_dy,1)
plot1b = cbind(time,upper,2)
plot1c = cbind(time,lower,3)

plot1d = rbind(plot1a,plot1b,plot1c)

plot1e = data.frame(plot1d)

plot1e

library(ggplot2)

plot_rate <- ggplot(data=plot1e, aes(x=time, y=beta_dy, id=V3)) +
                   geom_line() +
                   theme_bw() +
                   scale_x_continuous(breaks = c(0,10,20,30,40), name = "Chronological Age") + 
                   scale_y_continuous(breaks = c(0,10,20,30,40,50,60), name = "Rate of Change (cm/year)")

print(plot_rate)


####################### Including Covariate #######################
hght_long$dur_lbr = (hght_long$dur_lbr - 9.725)/7.309

# 1-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*0.0833)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 40, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 0.0833) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#      AIC      BIC    logLik
#  1431.87 1488.433 -701.9348
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#d_1i     2.0001494 d_1i   d_dy  
#d_dy     3.9672080 -0.143       
#d_3i     2.5307630  0.151 -0.980
#Residual 0.8354181              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.47628 0.3195731 359 161.07826  0.0000
#beta_02  37.60230 0.8361314 359  44.97175  0.0000
#beta_03 -18.70212 0.5067080 359 -36.90907  0.0000
#gamma    -1.79125 0.0570330 359 -31.40728  0.0000
#beta_11   0.62488 0.3057812 359   2.04355  0.0417
#beta_12  -1.55415 0.6544517 359  -2.37473  0.0181
#beta_13   1.28464 0.4445395 359   2.88982  0.0041
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02 -0.436                                   
#beta_03  0.153 -0.373                            
#gamma    0.296 -0.625 -0.477                     
#beta_11 -0.010  0.005  0.019 -0.021              
#beta_12  0.009 -0.042 -0.028  0.063 -0.341       
#beta_13  0.016 -0.010 -0.014  0.020  0.356 -0.977
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.71751628 -0.52833559 -0.01750042  0.57599371  2.63960475 
#
#Number of Observations: 420
#Number of Groups: 55 


# 3-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*0.25)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 0.25) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
 Data: hght_long 
       AIC      BIC    logLik
  1428.909 1485.473 -700.4547

Random effects:
 Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
 Level: id
 Structure: General positive-definite, Log-Cholesky parametrization
         StdDev    Corr         
d_1i     1.9924502 d_1i   d_dy  
d_dy     3.0317873 -0.144       
d_3i     2.4772237  0.156 -0.965
Residual 0.8311521              

Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
            Value Std.Error  DF   t-value p-value
beta_01  51.28830 0.3294193 359 155.69304  0.0000
beta_02  30.56975 0.5592274 359  54.66425  0.0000
beta_03 -18.28417 0.5054283 359 -36.17561  0.0000
gamma    -1.90155 0.0744315 359 -25.54765  0.0000
beta_11   0.62780 0.3057379 359   2.05338  0.0408
beta_12  -1.05479 0.4892009 359  -2.15615  0.0317
beta_13   1.23901 0.4343732 359   2.85240  0.0046
 Correlation: 
        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
beta_02 -0.454                                   
beta_03  0.093 -0.474                            
gamma    0.377 -0.487 -0.509                     
beta_11 -0.011  0.002  0.020 -0.021              
beta_12  0.004 -0.020 -0.017  0.036 -0.339       
beta_13  0.023 -0.016 -0.022  0.035  0.362 -0.961

Standardized Within-Group Residuals:
        Min          Q1         Med          Q3         Max 
-3.68154054 -0.53429208 -0.04577388  0.57535859  2.73878284 

Number of Observations: 420
Number of Groups: 55 

# 6-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*0.5)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 0.5) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  1428.738 1485.301 -700.3688
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev   Corr         
#d_1i     1.986056 d_1i   d_dy  
#d_dy     1.974449 -0.134       
#d_3i     2.440765  0.159 -0.915
#Residual 0.830923              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.14858 0.3366113 359 151.95146  0.0000
#beta_02  22.35730 0.3075807 359  72.68759  0.0000
#beta_03 -18.02023 0.4970898 359 -36.25146  0.0000
#gamma    -1.98432 0.0848426 359 -23.38828  0.0000
#beta_11   0.63069 0.3058471 359   2.06210  0.0399
#beta_12  -0.49196 0.3048810 359  -1.61360  0.1075
#beta_13   1.20896 0.4283077 359   2.82263  0.0050
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02 -0.224                                   
#beta_03  0.070 -0.832                            
#gamma    0.422  0.132 -0.506                     
#beta_11 -0.011 -0.012  0.019 -0.019              
#beta_12 -0.017 -0.009  0.009 -0.018 -0.315       
#beta_13  0.030  0.006 -0.028  0.048  0.368 -0.903
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.64239121 -0.54437757 -0.02529928  0.56986871  2.80068025 
#
#Number of Observations: 420
#Number of Groups: 55 

# 9-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*0.75)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 0.75) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  1429.086 1485.649 -700.5428
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#d_1i     1.9836694 d_1i   d_dy  
#d_dy     1.3550553 -0.113       
#d_3i     2.4284940  0.160 -0.807
#Residual 0.8314602              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.09820 0.3374683 359 151.41632  0.0000
#beta_02  17.12252 0.2467490 359  69.39247  0.0000
#beta_03 -17.93391 0.4899723 359 -36.60189  0.0000
#gamma    -2.01427 0.0858735 359 -23.45630  0.0000
#beta_11   0.63160 0.3059262 359   2.06456  0.0397
#beta_12  -0.13975 0.1999296 359  -0.69901  0.4850
#beta_13   1.19884 0.4264068 359   2.81150  0.0052
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02  0.065                                   
#beta_03  0.078 -0.807                            
#gamma    0.426  0.579 -0.492                     
#beta_11 -0.010 -0.017  0.018 -0.018              
#beta_12 -0.031 -0.045  0.024 -0.055 -0.251       
#beta_13  0.032  0.028 -0.029  0.052  0.370 -0.756
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.62581514 -0.55658866 -0.03542912  0.58060408  2.82039245 
#
#Number of Observations: 420
#Number of Groups: 55 

# 12-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*1)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 1) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#      AIC      BIC  logLik
#  1429.18 1485.744 -700.59
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#d_1i     1.9831975 d_1i   d_dy  
#d_dy     1.0402270 -0.081       
#d_3i     2.4261310  0.160 -0.639
#Residual 0.8316032              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.08816 0.3374898 359 151.37689  0.0000
#beta_02  13.95821 0.2051002 359  68.05558  0.0000
#beta_03 -17.91730 0.4883222 359 -36.69156  0.0000
#gamma    -2.02024 0.0858658 359 -23.52784  0.0000
#beta_11   0.63166 0.3059456 359   2.06461  0.0397
#beta_12   0.07183 0.1513997 359   0.47443  0.6355
#beta_13   1.19678 0.4260474 359   2.80903  0.0052
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02  0.182                                   
#beta_03  0.081 -0.630                            
#gamma    0.426  0.658 -0.488                     
#beta_11 -0.010 -0.016  0.018 -0.018              
#beta_12 -0.031 -0.065  0.025 -0.061 -0.147       
#beta_13  0.032  0.030 -0.029  0.052  0.371 -0.502
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.62240294 -0.55886132 -0.03841076  0.58370105  2.82417841 
#
#Number of Observations: 420
#Number of Groups: 55 


# 15-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*1.25)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 1.25) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#       AIC     BIC    logLik
#  1429.126 1485.69 -700.5632
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#d_1i     1.9834712 d_1i   d_dy  
#d_dy     0.8978558 -0.047       
#d_3i     2.4274967  0.160 -0.454
#Residual 0.8315191              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.09374 0.3374870 359 151.39469  0.0000
#beta_02  12.05807 0.1654281 359  72.89010  0.0000
#beta_03 -17.92654 0.4892578 359 -36.64028  0.0000
#gamma    -2.01691 0.0858816 359 -23.48482  0.0000
#beta_11   0.63152 0.3059390 359   2.06421  0.0397
#beta_12   0.19877 0.1344776 359   1.47808  0.1403
#beta_13   1.19785 0.4262524 359   2.81018  0.0052
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02  0.200                                   
#beta_03  0.080 -0.409                            
#gamma    0.426  0.541 -0.490                     
#beta_11 -0.010 -0.012  0.018 -0.018              
#beta_12 -0.020 -0.062  0.014 -0.042 -0.041       
#beta_13  0.032  0.022 -0.029  0.052  0.371 -0.229
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.62433623 -0.55797484 -0.03677736  0.58141343  2.82210048 
#
#Number of Observations: 420
#Number of Groups: 55 

# 18-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*1.5)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 1.5) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  1429.035 1485.599 -700.5175
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#d_1i     1.9839656 d_1i   d_dy  
#d_dy     0.8385934 -0.021       
#d_3i     2.4299492  0.160 -0.302
#Residual 0.8313785              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.10397 0.3374373 359 151.44729  0.0000
#beta_02  10.90993 0.1414872 359  77.10896  0.0000
#beta_03 -17.94360 0.4909034 359 -36.55220  0.0000
#gamma    -2.01084 0.0858493 359 -23.42285  0.0000
#beta_11   0.63147 0.3059192 359   2.06416  0.0397
#beta_12   0.27559 0.1308854 359   2.10555  0.0359
#beta_13   1.19991 0.4266243 359   2.81257  0.0052
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02  0.141                                   
#beta_03  0.077 -0.133                            
#gamma    0.426  0.267 -0.494                     
#beta_11 -0.010 -0.005  0.019 -0.018              
#beta_12 -0.007 -0.054  0.000 -0.015  0.034       
#beta_13  0.032  0.006 -0.029  0.051  0.370 -0.026
#
#Standardized Within-Group Residuals:
#       Min         Q1        Med         Q3        Max 
#-3.6278127 -0.5546715 -0.0335982  0.5801624  2.8182324 
#
#Number of Observations: 420
#Number of Groups: 55 

# 24-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*2)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 2) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#       AIC     BIC    logLik
#  1428.887 1485.45 -700.4434
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#d_1i     1.9848714 d_1i   d_dy  
#d_dy     0.8052896  0.008       
#d_3i     2.4345735  0.160 -0.126
#Residual 0.8311515              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.12313 0.3372007 359 151.61038  0.0000
#beta_02   9.78305 0.1461879 359  66.92102  0.0000
#beta_03 -17.97612 0.4937696 359 -36.40589  0.0000
#gamma    -1.99943 0.0855861 359 -23.36166  0.0000
#beta_11   0.63104 0.3058868 359   2.06298  0.0398
#beta_12   0.35124 0.1328865 359   2.64313  0.0086
#beta_13   1.20373 0.4273375 359   2.81681  0.0051
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02 -0.046                                   
#beta_03  0.073  0.313                            
#gamma    0.425 -0.312 -0.500                     
#beta_11 -0.011  0.008  0.019 -0.019              
#beta_12  0.013 -0.059 -0.022  0.026  0.107       
#beta_13  0.031 -0.024 -0.029  0.050  0.369  0.177
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.63420384 -0.54829053 -0.03035854  0.57676516  2.81082413 
#
#Number of Observations: 420
#Number of Groups: 55 


# 36-months
hght.jb.nlme <- nlme(hght~(beta_01 + beta_11*dur_lbr + d_1i) +
                          (beta_02 + beta_12*dur_lbr + d_dy) * age/12 +
                          (beta_03 + beta_13*dur_lbr + d_3i) * (-gamma*exp(gamma*3)*(age/12)+(exp(gamma*(age/12))-1)),
                      data=hght_long,
                      fixed=beta_01+beta_02+beta_03+gamma+beta_11+beta_12+beta_13~1,
                      random=d_1i+d_dy+d_3i~1,
                      groups=~id,
                      start=c(50, 10, -18, -2, 0, 0, 0),
                      na.action=na.omit)

summary(hght.jb.nlme)

#Nonlinear mixed-effects model fit by maximum likelihood
#  Model: hght ~ (beta_01 + beta_11 * dur_lbr + d_1i) + (beta_02 + beta_12 *      dur_lbr + d_dy) * age/12 + (beta_03 + beta_13 * dur_lbr +      d_3i) * (-gamma * exp(gamma * 3) * (age/12) + (exp(gamma *      (age/12)) - 1)) 
# Data: hght_long 
#       AIC      BIC    logLik
#  1428.773 1485.336 -700.3865
#
#Random effects:
# Formula: list(d_1i ~ 1, d_dy ~ 1, d_3i ~ 1)
# Level: id
# Structure: General positive-definite, Log-Cholesky parametrization
#         StdDev    Corr         
#d_1i     1.9857369 d_1i   d_dy  
#d_dy     0.7985768  0.024       
#d_3i     2.4390693  0.159 -0.029
#Residual 0.8309770              
#
#Fixed effects: beta_01 + beta_02 + beta_03 + gamma + beta_11 + beta_12 + beta_13 ~      1 
#            Value Std.Error  DF   t-value p-value
#beta_01  51.14162 0.3368012 359 151.84512  0.0000
#beta_02   9.19787 0.1854447 359  49.59896  0.0000
#beta_03 -18.00809 0.4962388 359 -36.28917  0.0000
#gamma    -1.98844 0.0850877 359 -23.36934  0.0000
#beta_11   0.63073 0.3058602 359   2.06214  0.0399
#beta_12   0.39076 0.1361284 359   2.87053  0.0043
#beta_13   1.20749 0.4280413 359   2.82096  0.0051
# Correlation: 
#        bet_01 bet_02 bet_03 gamma  bet_11 bet_12
#beta_02 -0.179                                   
#beta_03  0.071  0.512                            
#gamma    0.423 -0.642 -0.505                     
#beta_11 -0.011  0.015  0.019 -0.019              
#beta_12  0.028 -0.079 -0.039  0.060  0.141       
#beta_13  0.030 -0.038 -0.028  0.049  0.368  0.275
#
#Standardized Within-Group Residuals:
#        Min          Q1         Med          Q3         Max 
#-3.64020039 -0.54536350 -0.02374139  0.57175694  2.80349240 
#
#Number of Observations: 420
#Number of Groups: 55 


#### Plot of Rate of Association between Labor Duration & Rate of Growth ####

time=c(1,3,6,9,12,15,18,24,36)
beta_12=c(-1.55415,-1.05479,-0.49196,-0.13975,0.07183,0.19877,0.27559,0.35124,0.39076)
se_beta_12=c(0.6544517,0.4892009,0.3048810,0.1999296,0.1513997,0.1344776,0.1308854,0.1328865,0.1361284)

upper=beta_12 + 1.96*se_beta_12
lower=beta_12 - 1.96*se_beta_12

plot1a = cbind(time,beta_12,1)
plot1b = cbind(time,upper,2)
plot1c = cbind(time,lower,3)

plot1d = rbind(plot1a,plot1b,plot1c)

plot1e = data.frame(plot1d)

plot1e

plot_eff <- ggplot(data=plot1e, aes(x=time, y=beta_12, id=V3)) +
                   geom_line() +
                   theme_bw() +
                   scale_x_continuous(breaks = c(0,10,20,30,40), name = "Chronological Age") + 
                   scale_y_continuous(breaks = c(-3,-2.5,-2.0,-1.5,-1.0,-0.5,0,0.5,1), name = "Effect on Changes in Height")

print(plot_eff)