ODS HTML CLOSE;
ODS GRAPHICS OFF;
ODS LISTING;

DATA height_long;
	INFILE 'C:\GRE2016\Data\bgs_height_long_gender.dat';
	INPUT 	id female b_wght m_age f_age dur_lbr
			age hght;
RUN;


*Jenss-Bayley Model - Rate of Change at 3 months - Time Scaled in Years;
PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*0.25)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                        Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7

                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  -0.00016
  beta_dy     31.3015    0.5519    80    56.72    <.0001    0.05   30.2033   32.3998  0.000103
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8035  -16.9588  0.000219
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  0.000627
  v_1          7.3894    1.3519    80     5.47    <.0001    0.05    4.6991   10.0797   0.00004
  v_dy        13.3853    2.7796    80     4.82    <.0001    0.05    7.8537   18.9169  0.000017
  v_3          9.4219    2.1461    80     4.39    <.0001    0.05    5.1510   13.6929  0.000305
  c_dy1       -5.3705    1.6073    80    -3.34    0.0013    0.05   -8.5692   -2.1718  -0.00036
  c_31         4.8591    1.4200    80     3.42    0.0010    0.05    2.0332    7.6849  -0.00054
  c_3dy      -10.9360    2.3952    80    -4.57    <.0001    0.05  -15.7026   -6.1694  0.000273
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  -0.00003
*/


DATA height_long1;
	SET height_long;
	dur_lbr = (dur_lbr - 9.725)/7.309;
RUN;


*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*.25)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.01    <.0001    0.05   50.5241   51.8850  0.000054
  beta_02     30.7521    0.5889    52    52.22    <.0001    0.05   29.5703   31.9339  -0.00001
  beta_03    -18.1215    0.5131    52   -35.32    <.0001    0.05  -19.1511  -17.0919  -0.00003
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02110    1.2382  -0.00007
  beta_12     -1.0600    0.4889    52    -2.17    0.0347    0.05   -2.0411  -0.07893  0.000093
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  0.000129
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  -0.00026
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0521    5.8574  2.921E-6
  v_dy         9.3159    2.4521    52     3.80    0.0004    0.05    4.3953   14.2364  0.000049
  v_3          6.0263    1.8777    52     3.21    0.0023    0.05    2.2584    9.7941  0.000036
  c_dy1       -0.8820    1.1169    52    -0.79    0.4333    0.05   -3.1232    1.3592  -4.39E-6
  c_31         0.7714    0.9794    52     0.79    0.4345    0.05   -1.1939    2.7368  6.247E-6
  c_3dy       -7.2334    2.0949    52    -3.45    0.0011    0.05  -11.4371   -3.0297  0.000084
  v_u          0.6901   0.05961    52    11.58    <.0001    0.05    0.5704    0.8097  0.000062
*/


* 1 month;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*(1/12))*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  0.000107
  beta_dy     40.3421    1.0127    80    39.84    <.0001    0.05   38.3268   42.3573  -0.00008
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  -0.00019
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  -0.00151
  v_1          7.3895    1.3519    80     5.47    <.0001    0.05    4.6991   10.0799  -0.00001
  v_dy        26.8524    5.8212    80     4.61    <.0001    0.05   15.2679   38.4370  -0.00019
  v_3          9.4221    2.1462    80     4.39    <.0001    0.05    5.1510   13.6932  -0.00046
  c_dy1       -7.8275    2.3242    80    -3.37    0.0012    0.05  -12.4528   -3.2021  -0.00009
  c_31         4.8592    1.4200    80     3.42    0.0010    0.05    2.0333    7.6852  -0.00012
  c_3dy      -15.6999    3.4668    80    -4.53    <.0001    0.05  -22.5991   -8.8007  -0.00058
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  0.000053
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*(1/12))*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.00    <.0001    0.05   50.5241   51.8850  -0.00019
  beta_02     39.0944    1.0865    52    35.98    <.0001    0.05   36.9141   41.2747  -0.00068
  beta_03    -18.1214    0.5131    52   -35.32    <.0001    0.05  -19.1510  -17.0918  -0.00062
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02111    1.2383  0.000061
  beta_12     -1.6219    0.6814    52    -2.38    0.0210    0.05   -2.9893   -0.2545   0.00058
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  0.000715
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  -0.00791
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0521    5.8574   -8.8E-6
  v_dy        17.2532    4.8061    52     3.59    0.0007    0.05    7.6091   26.8973  -0.00011
  v_3          6.0263    1.8777    52     3.21    0.0023    0.05    2.2584    9.7942  -0.00047
  c_dy1       -1.2372    1.5568    52    -0.79    0.4304    0.05   -4.3611    1.8866  -0.00025
  c_31         0.7715    0.9794    52     0.79    0.4344    0.05   -1.1938    2.7368  -0.00034
  c_3dy      -10.0078    2.9441    52    -3.40    0.0013    0.05  -15.9156   -4.0999  -0.00048
  v_u          0.6901   0.05962    52    11.58    <.0001    0.05    0.5704    0.8097  0.000403
*/

* 6 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*0.50)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7

                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  -1.61E-6
  beta_dy     22.4246    0.2831    80    79.20    <.0001    0.05   21.8612   22.9881  1.344E-6
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  1.221E-6
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  -4.28E-6
  v_1          7.3895    1.3519    80     5.47    <.0001    0.05    4.6991   10.0799  -8.58E-7
  v_dy         4.8493    0.9524    80     5.09    <.0001    0.05    2.9540    6.7446     -9E-6
  v_3          9.4221    2.1462    80     4.39    <.0001    0.05    5.1511   13.6931  -2.81E-6
  c_dy1       -2.9584    0.9257    80    -3.20    0.0020    0.05   -4.8006   -1.1162  0.000012
  c_31         4.8592    1.4200    80     3.42    0.0010    0.05    2.0333    7.6852  8.321E-6
  c_3dy       -6.2587    1.3689    80    -4.57    <.0001    0.05   -8.9830   -3.5345  -9.94E-6
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  -0.00002
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*0.50)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7

                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.00    <.0001    0.05   50.5241   51.8850   0.00026
  beta_02     22.3722    0.3057    52    73.19    <.0001    0.05   21.7589   22.9856  -0.00057
  beta_03    -18.1215    0.5131    52   -35.32    <.0001    0.05  -19.1511  -17.0918  -0.00031
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02109    1.2382  -0.00035
  beta_12     -0.4955    0.3031    52    -1.63    0.1082    0.05   -1.1038    0.1128  0.000123
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  0.000275
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  -0.00164
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0521    5.8574  0.000019
  v_dy         3.9147    0.9472    52     4.13    0.0001    0.05    2.0140    5.8153  0.000143
  v_3          6.0263    1.8777    52     3.21    0.0023    0.05    2.2584    9.7942  0.000132
  c_dy1       -0.5252    0.6907    52    -0.76    0.4504    0.05   -1.9112    0.8607  0.000183
  c_31         0.7714    0.9794    52     0.79    0.4345    0.05   -1.1939    2.7367    0.0001
  c_3dy       -4.4467    1.2647    52    -3.52    0.0009    0.05   -6.9844   -1.9089  0.000281
  v_u          0.6901   0.05961    52    11.58    <.0001    0.05    0.5704    0.8097  -0.00054
*/


* 9 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*0.75)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  -0.00004
  beta_dy     17.1252    0.2177    80    78.67    <.0001    0.05   16.6920   17.5584  -0.00003
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  0.000029
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  0.000112
  v_1          7.3895    1.3519    80     5.47    <.0001    0.05    4.6991   10.0798  -6.11E-6
  v_dy         1.9671    0.3743    80     5.26    <.0001    0.05    1.2222    2.7120  -0.00011
  v_3          9.4222    2.1462    80     4.39    <.0001    0.05    5.1511   13.6932   -6.6E-6
  c_dy1       -1.5182    0.5540    80    -2.74    0.0076    0.05   -2.6206   -0.4158  0.000126
  c_31         4.8592    1.4200    80     3.42    0.0010    0.05    2.0333    7.6852  9.891E-6
  c_3dy       -3.4663    0.7937    80    -4.37    <.0001    0.05   -5.0459   -1.8868  -0.00015
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  -0.00013
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*0.75)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.00    <.0001    0.05   50.5241   51.8850  0.000202
  beta_02     17.2271    0.2506    52    68.74    <.0001    0.05   16.7243   17.7300  -0.00027
  beta_03    -18.1215    0.5131    52   -35.32    <.0001    0.05  -19.1512  -17.0919  -0.00032
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02111    1.2383   0.00001
  beta_12     -0.1489    0.2007    52    -0.74    0.4614    0.05   -0.5517    0.2538   5.27E-6
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  0.000022
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  -0.00063
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0521    5.8573  -4.07E-6
  v_dy         1.8755    0.4278    52     4.38    <.0001    0.05    1.0171    2.7339  0.000207
  v_3          6.0264    1.8777    52     3.21    0.0023    0.05    2.2584    9.7943  0.000041
  c_dy1       -0.3062    0.4558    52    -0.67    0.5046    0.05   -1.2208    0.6084  -0.00016
  c_31         0.7714    0.9794    52     0.79    0.4345    0.05   -1.1939    2.7367  -0.00009
  c_3dy       -2.7357    0.7887    52    -3.47    0.0011    0.05   -4.3184   -1.1530  0.000101
  v_u          0.6901   0.05961    52    11.58    <.0001    0.05    0.5704    0.8097  -0.00094
*/



* 12 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.00)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  -0.00004
  beta_dy     13.9615    0.1761    80    79.28    <.0001    0.05   13.6110   14.3119  0.000057
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  0.000076
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  0.000485
  v_1          7.3895    1.3519    80     5.47    <.0001    0.05    4.6991   10.0799  -0.00001
  v_dy         1.0354    0.2007    80     5.16    <.0001    0.05    0.6360    1.4349  -0.00016
  v_3          9.4221    2.1462    80     4.39    <.0001    0.05    5.1511   13.6931  0.000015
  c_dy1       -0.6585    0.3832    80    -1.72    0.0896    0.05   -1.4210    0.1040  -0.00014
  c_31         4.8593    1.4200    80     3.42    0.0010    0.05    2.0333    7.6852  0.000024
  c_3dy       -1.7992    0.5106    80    -3.52    0.0007    0.05   -2.8153   -0.7832  0.000205
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705   -0.0001
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.00)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.00    <.0001    0.05   50.5241   51.8850  0.000018
  beta_02     14.0681    0.2119    52    66.39    <.0001    0.05   13.6428   14.4933  -0.00002
  beta_03    -18.1215    0.5131    52   -35.32    <.0001    0.05  -19.1511  -17.0919  -0.00001
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02111    1.2383  -0.00001
  beta_12     0.06386    0.1518    52     0.42    0.6758    0.05   -0.2408    0.3685  -0.00003
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  -2.53E-6
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703   -0.0001
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0520    5.8574  -6.09E-6
  v_dy         1.1048    0.2530    52     4.37    <.0001    0.05    0.5971    1.6125  -0.00004
  v_3          6.0263    1.8777    52     3.21    0.0023    0.05    2.2584    9.7941  -2.03E-6
  c_dy1       -0.1717    0.3450    52    -0.50    0.6207    0.05   -0.8640    0.5205  0.000013
  c_31         0.7714    0.9794    52     0.79    0.4345    0.05   -1.1939    2.7367  0.000013
  c_3dy       -1.6851    0.5438    52    -3.10    0.0031    0.05   -2.7764   -0.5939  -2.24E-6
  v_u          0.6901   0.05961    52    11.58    <.0001    0.05    0.5704    0.8097  -5.62E-6
*/



* 15 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.25)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                        Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  0.000048
  beta_dy     12.0727    0.1391    80    86.82    <.0001    0.05   11.7960   12.3494  0.000015
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  -0.00007
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  0.000083
  v_1          7.3895    1.3519    80     5.47    <.0001    0.05    4.6991   10.0799  0.000065
  v_dy         0.7605    0.1575    80     4.83    <.0001    0.05    0.4471    1.0738  -0.00029
  v_3          9.4219    2.1461    80     4.39    <.0001    0.05    5.1510   13.6928  -0.00005
  c_dy1       -0.1452    0.3328    80    -0.44    0.6638    0.05   -0.8075    0.5171  0.000074
  c_31         4.8592    1.4200    80     3.42    0.0010    0.05    2.0333    7.6851  -0.00002
  c_3dy       -0.8040    0.4169    80    -1.93    0.0573    0.05   -1.6336   0.02557  0.000044
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  0.000053
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.25)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.01    <.0001    0.05   50.5241   51.8850  -0.00003
  beta_02     12.1284    0.1700    52    71.35    <.0001    0.05   11.7873   12.4695  -0.00028
  beta_03    -18.1215    0.5131    52   -35.32    <.0001    0.05  -19.1511  -17.0919  -4.49E-6
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02111    1.2383  -0.00004
  beta_12      0.1945    0.1339    52     1.45    0.1524    0.05  -0.07422    0.4633  0.000357
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  0.000089
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  0.000446
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0520    5.8573  -0.00003
  v_dy         0.8131    0.1990    52     4.09    0.0002    0.05    0.4138    1.2124  -0.00008
  v_3          6.0262    1.8777    52     3.21    0.0023    0.05    2.2584    9.7940  -0.00003
  c_dy1      -0.08917    0.3056    52    -0.29    0.7716    0.05   -0.7025    0.5241  0.000026
  c_31         0.7714    0.9794    52     0.79    0.4345    0.05   -1.1938    2.7367  0.000037
  c_3dy       -1.0401    0.4456    52    -2.33    0.0235    0.05   -1.9342   -0.1460   0.00002
  v_u          0.6901   0.05961    52    11.58    <.0001    0.05    0.5704    0.8097  -0.00107
*/


* 18 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.50)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                        Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  0.000254
  beta_dy     10.9452    0.1185    80    92.35    <.0001    0.05   10.7093   11.1810  0.000044
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588   -0.0001
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  -0.00083
  v_1          7.3895    1.3519    80     5.47    <.0001    0.05    4.6991   10.0799  0.000108
  v_dy         0.6966    0.1541    80     4.52    <.0001    0.05    0.3899    1.0032  0.000509
  v_3          9.4220    2.1462    80     4.39    <.0001    0.05    5.1510   13.6930  0.000013
  c_dy1        0.1612    0.3324    80     0.48    0.6290    0.05   -0.5003    0.8228  -0.00002
  c_31         4.8592    1.4200    80     3.42    0.0010    0.05    2.0333    7.6851  -0.00012
  c_3dy       -0.2099    0.4130    80    -0.51    0.6128    0.05   -1.0319    0.6121   0.00009
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  -0.00018
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.50)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2045    0.3391    52   151.00    <.0001    0.05   50.5241   51.8850  -0.00023
  beta_02     10.9375    0.1420    52    77.01    <.0001    0.05   10.6525   11.2225   0.00021
  beta_03    -18.1215    0.5131    52   -35.32    <.0001    0.05  -19.1511  -17.0918  -0.00003
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02110    1.2383  -0.00001
  beta_12      0.2747    0.1299    52     2.11    0.0393    0.05   0.01406    0.5354  -0.00018
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  -0.00011
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  -0.00045
  v_1          3.9548    0.9482    52     4.17    0.0001    0.05    2.0521    5.8575  0.000065
  v_dy         0.7024    0.1865    52     3.77    0.0004    0.05    0.3281    1.0767  -0.00002
  v_3          6.0265    1.8778    52     3.21    0.0023    0.05    2.2584    9.7946  0.000086
  c_dy1      -0.03850    0.2976    52    -0.13    0.8976    0.05   -0.6357    0.5587   -0.0002
  c_31         0.7715    0.9794    52     0.79    0.4344    0.05   -1.1939    2.7369   5.48E-7
  c_3dy       -0.6441    0.4222    52    -1.53    0.1331    0.05   -1.4912    0.2030  -0.00004
  v_u          0.6901   0.05962    52    11.58    <.0001    0.05    0.5704    0.8097  0.001517
*/



* 21 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.75)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  0.000062
  beta_dy     10.2720    0.1173    80    87.58    <.0001    0.05   10.0386   10.5054  0.000038
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  -0.00015
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  -0.00175
  v_1          7.3896    1.3519    80     5.47    <.0001    0.05    4.6991   10.0800  0.000045
  v_dy         0.6941    0.1603    80     4.33    <.0001    0.05    0.3751    1.0131  0.000192
  v_3          9.4223    2.1462    80     4.39    <.0001    0.05    5.1511   13.6934  0.000024
  c_dy1        0.3441    0.3436    80     1.00    0.3196    0.05   -0.3396    1.0279  -0.00035
  c_31         4.8594    1.4201    80     3.42    0.0010    0.05    2.0334    7.6854   -1.3E-6
  c_3dy        0.1449    0.4323    80     0.34    0.7384    0.05   -0.7154    1.0051  0.000268
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  -0.00218

*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*1.75)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7

                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.01    <.0001    0.05   50.5242   51.8850  0.000067
  beta_02     10.2063    0.1362    52    74.96    <.0001    0.05    9.9331   10.4795  -0.00088
  beta_03    -18.1216    0.5131    52   -35.32    <.0001    0.05  -19.1512  -17.0919   0.00005
  beta_11      0.6296    0.3033    52     2.08    0.0428    0.05   0.02108    1.2382  -0.00004
  beta_12      0.3240    0.1305    52     2.48    0.0163    0.05   0.06211    0.5858  -0.00052
  beta_13      1.2206    0.4284    52     2.85    0.0063    0.05    0.3610    2.0801  -0.00065
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  0.003406
  v_1          3.9546    0.9481    52     4.17    0.0001    0.05    2.0520    5.8571  -0.00022
  v_dy         0.6602    0.1869    52     3.53    0.0009    0.05    0.2851    1.0354  -0.00041
  v_3          6.0259    1.8775    52     3.21    0.0023    0.05    2.2584    9.7935  -0.00016
  c_dy1      -0.00727    0.2995    52    -0.02    0.9807    0.05   -0.6082    0.5937   0.00087
  c_31         0.7714    0.9793    52     0.79    0.4345    0.05   -1.1938    2.7366   0.00012
  c_3dy       -0.4008    0.4254    52    -0.94    0.3504    0.05   -1.2544    0.4527  0.000306
  v_u          0.6901   0.05961    52    11.58    <.0001    0.05    0.5704    0.8097  -0.00527
*/



* 24 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*2.00)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7

                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  0.000357
  beta_dy      9.8701    0.1267    80    77.91    <.0001    0.05    9.6180   10.1222  -0.00071
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  -0.00028
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  -0.00115
  v_1          7.3894    1.3519    80     5.47    <.0001    0.05    4.6991   10.0798  -0.00002
  v_dy         0.7054    0.1670    80     4.22    <.0001    0.05    0.3730    1.0377  -0.00008
  v_3          9.4222    2.1462    80     4.39    <.0001    0.05    5.1511   13.6933  9.201E-6
  c_dy1        0.4534    0.3541    80     1.28    0.2041    0.05   -0.2513    1.1580  7.482E-7
  c_31         4.8592    1.4200    80     3.42    0.0010    0.05    2.0333    7.6852  -0.00002
  c_3dy        0.3566    0.4511    80     0.79    0.4315    0.05   -0.5411    1.2543  0.000256
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7705  -0.00023
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*2.00)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                        Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7

                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.01    <.0001    0.05   50.5242   51.8850   0.00043
  beta_02      9.7574    0.1456    52    67.03    <.0001    0.05    9.4653   10.0495  0.000329
  beta_03    -18.1214    0.5131    52   -35.32    <.0001    0.05  -19.1511  -17.0918  0.000186
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02116    1.2383   0.00092
  beta_12      0.3542    0.1321    52     2.68    0.0098    0.05   0.08922    0.6192  0.000034
  beta_13      1.2206    0.4284    52     2.85    0.0063    0.05    0.3610    2.0802  -0.00071
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  0.000735
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0520    5.8573   -0.0001
  v_dy         0.6440    0.1902    52     3.39    0.0014    0.05    0.2624    1.0257  -0.00126
  v_3          6.0266    1.8778    52     3.21    0.0023    0.05    2.2585    9.7947  0.000079
  c_dy1       0.01180    0.3032    52     0.04    0.9691    0.05   -0.5966    0.6202  0.000531
  c_31         0.7716    0.9794    52     0.79    0.4344    0.05   -1.1938    2.7369   0.00009
  c_3dy       -0.2516    0.4343    52    -0.58    0.5648    0.05   -1.1231    0.6199  -0.00003
  v_u          0.6901   0.05962    52    11.58    <.0001    0.05    0.5704    0.8097  0.000461
*/



* 36 months;

PROC NLMIXED DATA = height_long QPOINTS = 5;
	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*3.00)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM b_1i dy_i b_3i ~ NORMAL([beta_1,beta_dy,beta_3], [  v_1,
									                         c_dy1,  v_dy,
                                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS
        beta_1 = 50  beta_dy = 31 beta_3 = -18     gamma = -2
        v_1 = 8      v_dy = 12    v_3 = 9
        c_dy1 = 0    c_31 = 0     c_3dy = 0
        v_u = 1;
RUN;

/*
                                         Fit Statistics

                            -2 Log Likelihood                 1978.1
                            AIC (smaller is better)           2000.1
                            AICC (smaller is better)          2000.6
                            BIC (smaller is better)           2026.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_1      51.0915    0.3524    80   144.98    <.0001    0.05   50.3902   51.7928  0.000055
  beta_dy      9.3505    0.1613    80    57.97    <.0001    0.05    9.0295    9.6715  -0.00007
  beta_3     -17.8812    0.4635    80   -38.58    <.0001    0.05  -18.8036  -16.9588  0.000018
  gamma       -2.0634   0.07804    80   -26.44    <.0001    0.05   -2.2187   -1.9081  -0.00021
  v_1          7.3893    1.3519    80     5.47    <.0001    0.05    4.6990   10.0796   -9.4E-6
  v_dy         0.7341    0.1791    80     4.10    <.0001    0.05    0.3777    1.0904  0.000021
  v_3          9.4221    2.1462    80     4.39    <.0001    0.05    5.1511   13.6932  0.000089
  c_dy1        0.5946    0.3718    80     1.60    0.1137    0.05   -0.1453    1.3345   0.00039
  c_31         4.8591    1.4200    80     3.42    0.0010    0.05    2.0332    7.6850  -0.00021
  c_3dy        0.6305    0.4836    80     1.30    0.1961    0.05   -0.3319    1.5928   0.00003
  v_u          0.6710   0.05003    80    13.41    <.0001    0.05    0.5714    0.7706  0.000698
*/

*Including Duration of Labor as Predictor;
PROC NLMIXED DATA = height_long1 QPOINTS = 5;
	b_1i  = beta_01 + beta_11*dur_lbr + d_1i;
	dy_i  = beta_02 + beta_12*dur_lbr + d_dy;
	b_3i  = beta_03 + beta_13*dur_lbr + d_3i;

	traject = b_1i + dy_i * age/12 + b_3i * (-gamma*exp(gamma*3.00)*(age/12)+(exp(gamma*(age/12))-1));

	MODEL hght ~ NORMAL(traject, v_u);
	RANDOM d_1i d_dy d_3i ~ NORMAL([0,0,0], [  v_1,
									         c_dy1,  v_dy,
                                              c_31, c_3dy, v_3])
	SUBJECT = id;
	PARMS	
		beta_01 = 50  beta_02 = 31  beta_03 = -18	
		beta_11 = 0	  beta_12 = 0   beta_13 = 0	
		gamma = -2
	
		v_1 = 8		v_dy = 10	v_3 = 9
		c_dy1 = 0	c_31 = 0	c_3dy = 0

		v_u = 1;
RUN;

/*
                                        Fit Statistics

                            -2 Log Likelihood                 1400.6
                            AIC (smaller is better)           1428.6
                            AICC (smaller is better)          1429.6
                            BIC (smaller is better)           1456.7


                                      Parameter Estimates

                       Standard
  Parameter  Estimate     Error    DF  t Value  Pr > |t|   Alpha     Lower     Upper  Gradient

  beta_01     51.2046    0.3391    52   151.00    <.0001    0.05   50.5241   51.8850   0.00002
  beta_02      9.1447    0.1918    52    47.67    <.0001    0.05    8.7598    9.5297  0.000075
  beta_03    -18.1215    0.5131    52   -35.32    <.0001    0.05  -19.1511  -17.0918   -7.6E-6
  beta_11      0.6297    0.3033    52     2.08    0.0428    0.05   0.02111    1.2383  0.000029
  beta_12      0.3955    0.1358    52     2.91    0.0053    0.05    0.1230    0.6680  0.000099
  beta_13      1.2207    0.4284    52     2.85    0.0063    0.05    0.3611    2.0803  -0.00003
  gamma       -1.9511   0.09010    52   -21.65    <.0001    0.05   -2.1319   -1.7703  -0.00008
  v_1          3.9547    0.9482    52     4.17    0.0001    0.05    2.0520    5.8574  6.355E-6
  v_dy         0.6339    0.1984    52     3.19    0.0024    0.05    0.2358    1.0321  -0.00002
  v_3          6.0262    1.8777    52     3.21    0.0023    0.05    2.2584    9.7941  -1.38E-6
  c_dy1       0.03784    0.3113    52     0.12    0.9037    0.05   -0.5868    0.6625  -0.00003
  c_31         0.7714    0.9794    52     0.79    0.4345    0.05   -1.1939    2.7367  7.167E-6
  c_3dy      -0.04790    0.4551    52    -0.11    0.9166    0.05   -0.9611    0.8653  -8.47E-6
  v_u          0.6901   0.05961    52    11.58    <.0001    0.05    0.5704    0.8097  0.000109
*/






************** Making Plot of Instantaneous Rate of Change and its Associations ******************;
DATA temp1;
	INPUT
      age   beta_dy     v_dy  beta_12  se_beta_12;
	CARDS;
        1   40.3421  26.8524  -1.6219      0.6814
		3   31.3015  13.3853  -1.0600      0.4889
        6   22.4246   4.8493  -0.4955      0.3031
        9   17.1252   1.9671  -0.1489      0.2007
       12   13.9615   1.0354  0.06386      0.1518
       15   12.0727   0.7605   0.1945      0.1339
       18   10.9452   0.6966   0.2747      0.1299
       21   10.2720   0.6941   0.3240      0.1305
       24    9.8701   0.7054   0.3542      0.1321
       36    9.3505   0.7341   0.3955      0.1358
;
RUN;
DATA temp2;
	SET temp1;

		upper_dy = beta_dy + 1.96 * SQRT(v_dy);
		lower_dy = beta_dy - 1.96 * SQRT(v_dy);

		upper_12 = beta_12 + 1.96 * se_beta_12;
		lower_12 = beta_12 - 1.96 * se_beta_12;
RUN;

GOPTIONS
	FTEXT = ARIAL
	CTEXT = BLACK
	HTEXT = 1.5;
PROC GPLOT DATA = temp2;
	SYMBOL1
		Interpol=smooth
		Color=black
		Repeat=1
		Value=none
		Height=0
		Width=4
		Line=1;
	SYMBOL2
		Interpol=smooth
		Color=gray
		Repeat=2
		Value=none
		Height=0
		Width=2
		Line=2;
	AXIS1
		LABEL = (F=ARIAL H = 2 A=90 'Rate of Change (cm/year)')
		ORDER = (0 to 60 BY 10)
		MINOR = none
		OFFSET= (5 pct 5 pct);
	AXIS2
		LABEL = (F=ARIAL H = 2 'Age in Months')	
		ORDER = (0 to 40 BY 10)
		MINOR = none
		OFFSET= (5 PCT, 5 PCT);
	PLOT beta_dy*age upper_dy*age lower_dy*age/OVERLAY NOLEGEND VAXIS= AXIS1 HAXIS=AXIS2;
RUN;

PROC GPLOT DATA = temp2;
	SYMBOL1
		Interpol=smooth
		Color=black
		Repeat=1
		Value=none
		Height=0
		Width=4
		Line=1;
	SYMBOL2
		Interpol=smooth
		Color=gray
		Repeat=2
		Value=none
		Height=0
		Width=2
		Line=2;
	AXIS1
		LABEL = (F=ARIAL H = 2 A=90 'Effect on Changes in Height (cm/year)')
		ORDER = (-3 to 1 BY .5)
		MINOR = none
		OFFSET= (5 pct 5 pct);
	AXIS2
		LABEL = (F=ARIAL H = 2 'Age in Months')	
		ORDER = (0 to 40 BY 10)
		MINOR = none
		OFFSET= (5 PCT, 5 PCT);
	PLOT beta_12*age upper_12*age lower_12*age/OVERLAY NOLEGEND VAXIS= AXIS1 HAXIS=AXIS2 VREF=0;
RUN;



